Bug 391142 - "Unmet dependencies" passiveNotifications while browsing
Summary: "Unmet dependencies" passiveNotifications while browsing
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: discover (show other bugs)
Version: 5.12.2
Platform: Neon Packages Linux
: NOR normal
Target Milestone: ---
Assignee: Aleix Pol
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-27 04:51 UTC by Nate Graham
Modified: 2018-04-09 17:46 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.12.3


Attachments
Unmet dependency errors while browsing (106.67 KB, image/png)
2018-02-27 04:51 UTC, Nate Graham
Details
Still happening in git master (275.84 KB, image/png)
2018-03-06 13:57 UTC, Nate Graham
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Graham 2018-02-27 04:51:35 UTC
Created attachment 111038 [details]
Unmet dependency errors while browsing

Recently Discover has started to emit passiveNotifications about unmet dependencies while browsing app lists. There are several problems here:

1. This is not appropriate or something the user needs to be burdened with while browsing. At most, Discover should show an error message during installation of the broken app, not anywhere else.
2. PassiveNotifications should be safely ignorable, e.g. for status updates. These errors are not ignorable; they block installation and must be dealt with. It is not appropriate to use a passiveNotification for these errors.

Solution:
- While browsing, don't show passiveNotifications about unmet dependencies
- When trying to install an app with broken dependencies, show a real modal error pop-up with the full detailed message, so ensure that the user sees it
Comment 1 Aleix Pol 2018-02-27 13:23:19 UTC
Git commit e7cec342b0c2b570450c1b51694ecb36054f75bd by Aleix Pol.
Committed on 27/02/2018 at 13:22.
Pushed by apol into branch 'Plasma/5.12'.

Don't track errors when fetching dependencies

M  +0    -1    libdiscover/backends/PackageKitBackend/PackageKitBackend.cpp

https://commits.kde.org/discover/e7cec342b0c2b570450c1b51694ecb36054f75bd
Comment 2 Nate Graham 2018-03-06 13:57:29 UTC
Created attachment 111221 [details]
Still happening in git master

Still happening, I'm afraid.
Comment 3 Nate Graham 2018-04-09 17:46:27 UTC
Haven't seen 'em in git master. I wonder if maybe my still seeing them was the result of not having had 5.12 content merged back to master?

Will re-open if I see these messages again.